Skip to navigation

Add or update custom user settings

View as Markdown

Adds or updates custom user settings for the specified user.

Note: Custom user settings are not the same as user account settings.

Custom settings provide a flexible way to store and retrieve custom user information that you can use in your own system.

Important: There is a limit on the size for all the custom user settings for a single user. The limit is 4,000 characters, which includes the XML and JSON structure for the settings.

You can group custom user settings when adding them. Grouping allows you to retrieve settings that are in a specific group, instead of retrieving all the user custom settings.

To group custom user settings, include the X-DocuSign-User-Settings-Key header in the request:

X-DocuSign-User-Settings-Key:group_name

Where the group_name is your designated name for the group of customer user settings.

When getting or deleting grouped custom user settings, you must include the X-DocuSign-User-Settings-Key header information.

Grouping custom user settings is not required and if the X-DocuSign-User-Settings-Key header information is not included, the custom user settings are added normally and can be retrieved or deleted without including the X-DocuSign-User-Settings-Key header.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

userIdstringRequired

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Request

This endpoint expects an object: customSettingsInformation

customSettingslist of objectsOptional

The name/value pair information for the user custom setting.

Response

Successful response.
customSettingslist of objectsOptional

The name/value pair information for the user custom setting.

Errors

400
Bad Request Error